﻿@model MIS.Membership.ResetPasswordModel

@{
    ViewData["Title"] = Texts.Forms.Membership.ResetPassword.FormTitle;
    ViewData["PageId"] = "ResetPassword";
    ViewData["BodyClass"] = "login-page";
    Layout = MVC.Views.Shared._LayoutNoNavigation;
}

<script id="Template_Membership_ResetPasswordPanel" type="text/template">
<div class="s-Form">
    <form id="~_Form" action="">
        <div id="~_PropertyGrid"></div>
        <div class="row">
            <div class="col-xs-6 col-xs-offset-6">
                <button id="~_SubmitButton" type="submit" class="btn btn-primary btn-block btn-flat">@Texts.Forms.Membership.ResetPassword.SubmitButton</button>
            </div>
        </div>
        <input type="hidden" id="~_Token" value="@Model.Token" />
    </form>
</div>
</script>

<div class="login-box">
    <div class="login-logo">
        @Texts.Navigation.SiteTitle
    </div>
    <div class="login-box-body">
        <p class="login-box-msg">@Texts.Forms.Membership.ResetPassword.FormTitle</p>
        <div id="ResetPasswordPanel">
        </div>
        <a href="@Url.Content("~/Account/Login")" class="text-center">@Texts.Forms.Membership.ResetPassword.BackToLogin</a>
    </div>
</div>

<script type="text/javascript">
$(function() {
    new MIS.Membership.ResetPasswordPanel($('#ResetPasswordPanel')).init();
});
</script>